function R=istriu(A,K)
% FUNCTION istriu
% -- R=istriu(A)
%      With A a N-by-m-by-n amat object, returns the N-by-1-by-1 logical amat 
%      object R such that 
%        R(k) is true if A(k) is an upper triangular matrix, false otherwise.
%
% -- R=istriu(A,K)
%     If the value of K is nonzero integer, the selection of elements of each 
%     A(k) matrix starts at an offset of K diagonals above or below the main
%     diagonal; above for positive K and below for negative K.
%
  assert( isamat(A) );
  if nargin==1, K=0;end
  R=all( tril(A,-1+K)==0 ,3);
end
